attribute vec4 position;

uniform mat4 modelViewProjectionMatrix;
uniform float yFlip;
uniform vec2 viewPortSize;

varying vec2 texcoord;

void main()
{
	gl_Position = modelViewProjectionMatrix * position;
	gl_Position.xy -= (0.5/viewPortSize)*gl_Position.ww;
	
	texcoord.x = position.x*0.5+0.5;
	texcoord.y = position.y*0.5+0.5;
	
	if (yFlip > 0.0) {
		texcoord.y = 1.0-texcoord.y;
	}
}
