precision mediump float;
uniform sampler2D SamplerY;
uniform sampler2D SamplerU;
uniform sampler2D SamplerV;
varying highp vec2 texcoord;

void main()
{
    mediump vec3 yuv;
    lowp vec3 rgb;
    
    yuv.x = texture2D(SamplerY, texcoord).r;
    yuv.y = texture2D(SamplerU, texcoord).r - 0.5;
    yuv.z = texture2D(SamplerV, texcoord).r - 0.5;
    
    /*
    rgb = mat3(      1,       1,       1,
    0, -.21482, 2.12798,
    1.28033, -.38059,       0) * yuv;
    */

    // Using BT.709 which is the standard for HDTV
    rgb = mat3(      1,       1,      1,
               0, -.18732, 1.8556,
               1.57481, -.46813,      0) * yuv;

    gl_FragColor = vec4(rgb, 1);
}
